Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Tue, 20 Nov 2018 10:28:52 +0100

>>> Like `switch-to-buffer-in-dedicated-window' has the option `pop',
 >>> another customizable variable could provide a similar non-default
 >>> option that will call pop-to-buffer-same-window from switch-to-buffer.
 >>
 >> OK.  But would that option's value apply to C-x b as well?
 >
 > This option is needed mostly for 'C-x b' to be able to switch to the buffer
 > in another window.  And also for other commands that non-interactively call
 > 'switch-to-buffer', like 'C-h C-n'.

But 'pop-to-buffer-same-window' doesn't have the
'switch-to-buffer-preserve-window-point' semantics.  How would you
want to integrate them?

 >>> Or maybe simpler to create a new command e.g. switch-to-buffer-same-window
 >>> based on switch-to-buffer-other-window?
 >>
 >> You mean C-h k C-x b would tell me that
 >>
 >> C-x b runs the command switch-to-buffer-same-window (found in
 >> global-map), which is an interactive compiled Lisp function in
 >> ‘window.el’.
 >
 > I see now that this solution doesn't help for commands that
 > non-interactively call 'switch-to-buffer', like 'C-h C-t'.

So please propose a name for the option like say
'switch-to-buffer-pop-to-buffer' and tell me whether and how what we
execute then obeys 'switch-to-buffer-preserve-window-point'.

martin